package gmt.status.vo;

import gmt.common.type.STAStatusType;

import java.time.LocalDateTime;


public class STAObjVO {
	private String id; 							//체크항목 ID					
	private String name;                    	//체크항목명
	private String remark;                  	//상태 상세
	private STAStatusType status;         //상태
	private int checkInterval;              	//체크 주기
	private LocalDateTime checkDT;        //마지막 체크 시각
	private LocalDateTime updateDT;       //상태 업데이트 시각
	private LocalDateTime txDT;             //마지막 송신시각
	private int txCnt;                      		//송신카운트
	private int recentTxCnt;                  //최근 송신카운트 통계(체크주기동안)
	private int txByte;                         //송신 데이터양(Byte)
	private int recentTxByte;                //최근 송신데이터양(체크주기동안)
	private LocalDateTime rxDT;            //마지막 수신시각
	private int rxCnt;                    	  //수신카운트
	private int recentRxCnt;                //최근 수신카운트 통계(체크주기동안)
	private int rxByte;                        //수신 데이터양(Byte)
	private int recentRxByte;               //최근 수신데이터양(1분간)
	private LocalDateTime recvHRBDT;   //HeartBeat 수신시각
	private boolean useHRB;               //HeartBeat 체크 사용 여부
	private boolean use;                    //Item 체크 유무
	
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	public STAStatusType getStatus() {
		return status;
	}
	public void setStatus(STAStatusType status) {
		this.status = status;
	}
	public int getCheckInterval() {
		return checkInterval;
	}
	public void setCheckInterval(int checkInterval) {
		this.checkInterval = checkInterval;
	}
	public LocalDateTime getCheckDT() {
		return checkDT;
	}
	public void setCheckDT(LocalDateTime checkDT) {
		this.checkDT = checkDT;
	}
	public LocalDateTime getUpdateDT() {
		return updateDT;
	}
	public void setUpdateDT(LocalDateTime updateDT) {
		this.updateDT = updateDT;
	}
	public LocalDateTime getTxDT() {
		return txDT;
	}
	public void setTxDT(LocalDateTime txDT) {
		this.txDT = txDT;
	}
	public int getTxCnt() {
		return txCnt;
	}
	public void setTxCnt(int txCnt) {
		this.txCnt = txCnt;
	}
	public int getRecentTxCnt() {
		return recentTxCnt;
	}
	public void setRecentTxCnt(int recentTxCnt) {
		this.recentTxCnt = recentTxCnt;
	}
	public int getTxByte() {
		return txByte;
	}
	public void setTxByte(int txByte) {
		this.txByte = txByte;
	}
	public int getRecentTxByte() {
		return recentTxByte;
	}
	public void setRecentTxByte(int recentTxByte) {
		this.recentTxByte = recentTxByte;
	}
	public LocalDateTime getRxDT() {
		return rxDT;
	}
	public void setRxDT(LocalDateTime rxDT) {
		this.rxDT = rxDT;
	}
	public int getRxCnt() {
		return rxCnt;
	}
	public void setRxCnt(int rxCnt) {
		this.rxCnt = rxCnt;
	}
	public int getRecentRxCnt() {
		return recentRxCnt;
	}
	public void setRecentRxCnt(int recentRxCnt) {
		this.recentRxCnt = recentRxCnt;
	}
	public int getRxByte() {
		return rxByte;
	}
	public void setRxByte(int rxByte) {
		this.rxByte = rxByte;
	}
	public int getRecentRxByte() {
		return recentRxByte;
	}
	public void setRecentRxByte(int recentRxByte) {
		this.recentRxByte = recentRxByte;
	}
	public LocalDateTime getRecvHRBDT() {
		return recvHRBDT;
	}
	public void setRecvHRBDT(LocalDateTime recvHRBDT) {
		this.recvHRBDT = recvHRBDT;
	}
	public boolean isUseHRB() {
		return useHRB;
	}
	public void setUseHRB(boolean useHRB) {
		this.useHRB = useHRB;
	}
	public boolean isUse() {
		return use;
	}
	public void setUse(boolean use) {
		this.use = use;
	}
	
	
}
